VERSION 5.00
Begin VB.Form Form2 
   BorderStyle     =   4  'Fixed ToolWindow
   Caption         =   "V-Pad"
   ClientHeight    =   1575
   ClientLeft      =   45
   ClientTop       =   315
   ClientWidth     =   3015
   LinkTopic       =   "Form2"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1575
   ScaleWidth      =   3015
   StartUpPosition =   2  'CenterScreen
   Begin VB.CheckBox Check2 
      Caption         =   "No Background"
      Height          =   255
      Left            =   1380
      TabIndex        =   2
      Top             =   495
      Width           =   1575
   End
   Begin VB.CheckBox Check1 
      Caption         =   "No Frame"
      Height          =   255
      Left            =   240
      TabIndex        =   1
      Top             =   495
      Width           =   1095
   End
   Begin VB.VScrollBar VScroll1 
      Height          =   255
      LargeChange     =   20
      Left            =   1920
      Max             =   75
      Min             =   255
      SmallChange     =   20
      TabIndex        =   4
      Top             =   840
      Value           =   255
      Width           =   255
   End
   Begin VB.CommandButton Command3 
      Caption         =   "Clear Customization"
      Enabled         =   0   'False
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   1200
      Width           =   1575
   End
   Begin VB.CommandButton Command2 
      Caption         =   "Customize Controller"
      Enabled         =   0   'False
      Height          =   255
      Left            =   120
      TabIndex        =   3
      Top             =   840
      Width           =   1575
   End
   Begin VB.TextBox Text1 
      Height          =   285
      Left            =   840
      MultiLine       =   -1  'True
      TabIndex        =   0
      Top             =   120
      Width           =   2055
   End
   Begin VB.CommandButton Command1 
      Caption         =   "Find Window"
      Enabled         =   0   'False
      Height          =   255
      Left            =   1800
      TabIndex        =   6
      Top             =   1200
      Width           =   1095
   End
   Begin VB.Label Label2 
      Caption         =   "Window:"
      Height          =   255
      Left            =   120
      TabIndex        =   8
      Top             =   150
      Width           =   735
   End
   Begin VB.Label Label1 
      Alignment       =   2  'Center
      Caption         =   "Opacity"
      Height          =   255
      Left            =   2205
      TabIndex        =   7
      Top             =   870
      Width           =   615
   End
End
Attribute VB_Name = "Form2"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private xdiff As Long
Private ydiff As Long
Private leftdiff As Long
Private topdiff As Long


Private Sub Check2_Click()
If Check2.Value = 1 And VScroll1.Value <> 255 Then
VScroll1.Value = 255
End If
End Sub

''this command finds the target window and sets up the controller form
Private Sub Command1_Click()

''find target window
    lHwnd = FindWindowLike(Text1.Text)
    
        If lHwnd <> 0 Then

    Form1.Show
    
    ''gets form size before and after frame change to make sure its the same
    formleft = Form1.Left
    formtop = Form1.Top
    formx = Form1.Width
    formy = Form1.Height
    
    If Check1.Value = 1 Then
    Form1.BorderStyle = 0
    ''makes alternate cross visible if there is no frame
    Form1.Line1.Visible = True
    Form1.Line2.Visible = True
    Form1.Label1.Visible = True
    Form1.Shape2.Visible = True
    Else
    Form1.BorderStyle = 4
    End If
    Form1.Caption = Form1.Caption
    
    xdiff = formx - Form1.Width
    ydiff = formy - Form1.Height
    leftdiff = formleft - Form1.Left
    topdiff = formtop - Form1.Top

    ''moves form to saved coords
    Call form1CustomCoords

    ''removes background if selected
    If Check2.Value = 1 Then
    Call Form1.removeBG
    End If

    Me.Hide
    
    ''brings target window to front
    Call Form1.setwindow
    Else
        MsgBox "Window not found.", vbCritical, "Error"
    End If
    

End Sub


''this command sets up the controller form for customization
Private Sub Command2_Click()
selected = 99
keytoset = 99
nubtoset = 99
customize = True

''explanation if first time
If Not (ReadINI("misc", "hasCustomized", defCfgPath) <> "") Then
Call MsgBox("Click and drag to move controls around." + vbCrLf + vbCrLf + "Double click to select a control. A selected control can be resized with the arrows that appear while selected or can have its hotkey changed by pressing a keyboard key (with a real keyboard or by using the on-screen keyboard). Double click again to unselect. " + vbCrLf + vbCrLf + "Note: Opacity, frame and background settings will not appear while customizing. ", vbOKOnly, "Customization")
End If

Form1.Show

''loads custom saved coords of form
Call form1CustomCoords
Me.Hide
End Sub

''loads custom saved coords size, and opacity of form
Private Sub form1CustomCoords()
If Dir(cfgPath) <> "" Then
Form1.Width = Val(ReadINI("coords", "formWidth", cfgPath)) - xdiff
Form1.Height = Val(ReadINI("coords", "formHeight", cfgPath)) - ydiff
Form1.Left = Val(ReadINI("coords", "formLeft", cfgPath)) - leftdiff
Form1.Top = Val(ReadINI("coords", "formTop", cfgPath)) - topdiff
End If
If VScroll1.Value <> 255 And customize = False Then
Call Opacity(VScroll1.Value, Form1)
End If
    xdiff = 0
    ydiff = 0
    leftdiff = 0
    topdiff = 0
End Sub

''deletes the custom control configuration for the current window
Private Sub Command3_Click()
If Dir(cfgPath) <> "" Then
Kill cfgPath
End If
End Sub



''saves settins for this window when exiting
Private Sub Form_QueryUnload(cancel As Integer, unloadmode As Integer)
Call WriteINI("misc", "lastWindow", Text1.Text, defCfgPath)
Call WriteINI("misc", "noFrame", Str(Check1.Value), defCfgPath)
Call WriteINI("misc", "noBG", Str(Check2.Value), defCfgPath)
Call WriteINI("misc", "opacity", Str(VScroll1.Value), defCfgPath)
End
End Sub

''loads settings on load
Private Sub Form_Load()
defCfgPath = App.Path + "/config.ini"

Text1.Text = ReadINI("misc", "lastWindow", defCfgPath)
Check1.Value = Val(ReadINI("misc", "noFrame", defCfgPath))
Check2.Value = Val(ReadINI("misc", "noBG", defCfgPath))

If ReadINI("misc", "opacity", defCfgPath) <> "" And Val(ReadINI("misc", "opacity", defCfgPath)) <> 255 Then
VScroll1.Value = Val(ReadINI("misc", "opacity", defCfgPath))
End If

End Sub

''determines custom controller configuration path by window name entered
Private Sub text1_change()
cfgPath = App.Path + "/" + Text1.Text + ".ini"
If Text1.Text <> "" Then
Command1.Enabled = True
Command2.Enabled = True
Command3.Enabled = True
Else
Command1.Enabled = False
Command2.Enabled = False
Command3.Enabled = False
End If
End Sub

''presses find window button if enter is used in window text box
Private Sub Text1_keypress(Keyascii As Integer)
If Keyascii = 13 Then
Keyascii = 0
Call Command1_Click
End If
End Sub

''sets opacity by vscroll value
Private Sub VScroll1_Change()
Call Opacity(VScroll1.Value, Me)
If VScroll1.Value <> 255 Then
Check2.Value = 0
End If
End Sub

